### Property

# FwupdPlugin Device:required-free

since: 2.0.12

#### Declaration

    property required-free: guint64 [ read, write ]

#### Description [src]

The required amount of free firmware space.

Type:`guint64`

Available since: 2.0.12

Default value | 0
Getter method | `fu_device_get_required_free()`
Setter method | `fu_device_set_required_free()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no